Searching We.Love.Privacy.Club

Twts matching #date
Sort by: Newest, Oldest, Most Relevant

Comment on A Guided Tour Of Ubuntu 9.10 Karmic Koala by Ubuntu 22.10: Release Date & New Features – OMG! Ubuntu! - 7th Information Technologies
[…] 2004, and the second to use a codename beginning with the letter ‘K’. The other was Ubuntu 9.10 “Karmic Koala”, a notable release as it was the last to feature Ubuntu’s “Human” theme.But what […] ⌘ Read more

⤋ Read More

JMP: Signup with Cheogram Android
Welcome to JMP.chat! If you are looking for a simple guide on how to sign up for JMP, then you have come to the right place! We will be keeping this guide up-to-date if there is ever a change in how to sign up.

We will first start with signing up from within your Jabber chat application on mobile, where you will never need to leave the client to get set up. I will be using the freedomware Android client Cheogram to do this signup. To star … ⌘ Read more

⤋ Read More

JMP: Signup with Cheogram Android
Welcome to JMP.chat! If you are looking for a simple guide on how to sign up for JMP, then you have come to the right place! We will be keeping this guide up-to-date if there is ever a change in how to sign up.

We will first start with signing up from within your Jabber chat application on mobile, where you will never need to leave the client to get set up. I will be using the freedomware Android client Cheogram to do this signup. To star … ⌘ Read more

⤋ Read More

JMP: Signup with Cheogram Android
Welcome to JMP.chat! If you are looking for a simple guide on how to sign up for JMP, then you have come to the right place! We will be keeping this guide up-to-date if there is ever a change in how to sign up.

We will first start with signing up from within your Jabber chat application on mobile, where you will never need to leave the client to get set up. I will be using the freedomware Android client Cheogram to do this signup. To star … ⌘ Read more

⤋ Read More

Dependabot now alerts for vulnerable GitHub Actions
GitHub Actions gives teams access to powerful, native CI/CD capabilities right next to their code hosted in GitHub. Starting today, GitHub will send a Dependabot alert for vulnerable GitHub Actions, making it even easier to stay up to date and fix security vulnerabilities in your actions workflows. ⌘ Read more

⤋ Read More

“to limit that rise to 1.5C […] global carbon emissions will have to be reduced by 45% by 2030.
[…]
Instead, we are on course for close to a 14% rise in emissions by that date – which will almost certainly see us shatter the 1.5C guardrail in less than a decade.”

“to limit that rise to 1.5C […] global carbon emissions will have to be reduced by 45% by 2030.

[…]

Instead, we are on course for close to a 14% rise in emissions by that date – which will almost certainly see us shatter the 1.5C guardrai … ⌘ Read more

⤋ Read More

Opening of Hong Kong Palace Museum a milestone in the Jockey Club’s support for the HKSAR in the past 25 years
[Sponsored Article]

The construction of the Hong Kong Palace Museum (HKPM) was funded by a HK$3.5 billion donation from The Hong Kong Jockey Club Charities Trust – the Club’s largest single charity donation to date. The museum will open to the public on 2 July as a highlight of the 25th anniversary of the establishmen … ⌘ Read more

⤋ Read More

Prosodical Thoughts: Modernizing XMPP authentication and authorization
We’re excited to announce that we have received funding, from the EU’s
NGI Assure via the NLnet Foundation, to work on
some important enhancements to Prosody and XMPP. Our work will be focusing on
XMPP authentication and authorization, and bringing it up to date with current
and emerging best practices.

What kind of changes are we talking about? Well, there are a few aspects we
are planning to work on. Let’s start with “authent … ⌘ Read more

⤋ Read More

third, let’s look at daygame. if you ask someone out in a social circle/hobby group, that leaves residual social cruft lying around: awkwardness & mutual avoidance. the whole thing is not Done the way it is when you get cleanly rejected on the street. (online dating has a similar quality of Doneness to it, I think, but matches might stack up and old leads might spring to life sometime, but that’s the same with DG).

⤋ Read More

@prologic@twtxt.net

#!/bin/sh

# Validate environment
if ! command -v msgbus > /dev/null; then
    printf "missing msgbus command. Use:  go install git.mills.io/prologic/msgbus/cmd/msgbus@latest"
    exit 1
fi

if ! command -v salty > /dev/null; then
    printf "missing salty command. Use:  go install go.mills.io/salty/cmd/salty@latest"
    exit 1
fi

if ! command -v salty-keygen > /dev/null; then
    printf "missing salty-keygen command. Use:  go install go.mills.io/salty/cmd/salty-keygen@latest"
    exit 1
fi

if [ -z "$SALTY_IDENTITY" ]; then
    export SALTY_IDENTITY="$HOME/.config/salty/$USER.key"
fi

get_user () {
    user=$(grep user: "$SALTY_IDENTITY" | awk '{print $3}')
    if [ -z "$user" ]; then
        user="$USER"
    fi
    echo "$user"
}

stream () {
    if [ -z "$SALTY_IDENTITY" ]; then
        echo "SALTY_IDENTITY not set"
        exit 2
    fi

    jq -r '.payload' | base64 -d | salty -i "$SALTY_IDENTITY" -d
}

lookup () {
    if [ $# -lt 1 ]; then
    printf "Usage: %s nick@domain\n" "$(basename "$0")"
    exit 1
    fi

    user="$1"
    nick="$(echo "$user" | awk -F@ '{ print $1 }')"
    domain="$(echo "$user" | awk -F@ '{ print $2 }')"

    curl -qsSL "https://$domain/.well-known/salty/${nick}.json"
}

readmsgs () {
    topic="$1"

    if [ -z "$topic" ]; then
        topic=$(get_user)
    fi

    export SALTY_IDENTITY="$HOME/.config/salty/$topic.key"
    if [ ! -f "$SALTY_IDENTITY" ]; then
        echo "identity file missing for user $topic" >&2
        exit 1
    fi

    msgbus sub "$topic" "$0"
}

sendmsg () {
    if [ $# -lt 2 ]; then
        printf "Usage: %s nick@domain.tld <message>\n" "$(basename "$0")"
        exit 0
    fi

    if [ -z "$SALTY_IDENTITY" ]; then
        echo "SALTY_IDENTITY not set"
        exit 2
    fi

    user="$1"
    message="$2"

    salty_json="$(mktemp /tmp/salty.XXXXXX)"

    lookup "$user" > "$salty_json"

    endpoint="$(jq -r '.endpoint' < "$salty_json")"
    topic="$(jq -r '.topic' < "$salty_json")"
    key="$(jq -r '.key' < "$salty_json")"

    rm "$salty_json"

    message="[$(date +%FT%TZ)] <$(get_user)> $message"

    echo "$message" \
        | salty -i "$SALTY_IDENTITY" -r "$key" \
        | msgbus -u "$endpoint" pub "$topic"
}

make_user () {
    mkdir -p "$HOME/.config/salty"

    if [ $# -lt 1 ]; then
        user=$USER
    else
        user=$1
    fi

    identity_file="$HOME/.config/salty/$user.key"

    if [ -f "$identity_file" ]; then
        printf "user key exists!"
        exit 1
    fi

    # Check for msgbus env.. probably can make it fallback to looking for a config file?
    if [ -z "$MSGBUS_URI" ]; then
        printf "missing MSGBUS_URI in environment"
        exit 1
    fi


    salty-keygen -o "$identity_file"
    echo "# user: $user" >> "$identity_file"

    pubkey=$(grep key: "$identity_file" | awk '{print $4}')

    cat <<- EOF
Create this file in your webserver well-known folder. https://hostname.tld/.well-known/salty/$user.json

{
  "endpoint": "$MSGBUS_URI",
  "topic": "$user",
  "key": "$pubkey"
}

EOF
}

# check if streaming
if [ ! -t 1 ]; then
    stream
    exit 0
fi

# Show Help
if [ $# -lt 1 ]; then
    printf "Commands: send read lookup"
    exit 0
fi


CMD=$1
shift

case $CMD in
    send)
        sendmsg "$@"
    ;;
    read)
        readmsgs "$@"
    ;;
    lookup)
        lookup "$@"
    ;;
    make-user)
        make_user "$@"
    ;;
esac

⤋ Read More

Given that we don’t have a “home phone”, what’s the best way to create a “hunt group” for my partner’s and my cell phones? My first thought is Asterisk on a VPS, but my knowledge of such things is years out of date. Is there a better way?

⤋ Read More

全文检索库 bluge

全文检索库 bluge 推荐理由

提到全文检索库,第一个想到的就是 Java 实现的 lucene,今天介绍一款 Golang 实现的全文检索库 bluge。bluge 脱胎于 Bleve,是当前 Github 比较火的搜索引擎项目 zinc 的底层索引检索库。

功能介绍

bluge 索引存储支持内存,本地文件,以及扩展云存储等方式,文档字段类型支持 Text, Numeric, Date, Geo Point 等。

查询检索支持如下特性:

  1. 支持多种�� … ⌘ Read more

⤋ Read More

网易云音乐 DBA 谈 TiDB 选型:效率的选择

title: 网易云音乐 DBA 谈 TiDB 选型:效率的选择
author:倪山三
date: 2021-12-03
summary: 本文摘自由网易 DBA 团队撰写的《效率的选择——分布式数据库 TiDB 网易内部选型介绍》一文,对比了以 TiDB 为基础的创新架构和 MySQL + DDB 传统架构的差异,从业务适配、降本增效、技术创新等多个维度阐释了网易考虑引入 TiDB 的原因。

tags: [‘TiDB’] 编者按

本�� … ⌘ Read more

⤋ Read More

**Date night in @meshki 🤍 **
Date night in @meshki 🤍
Have you shopped their Black Friday sale yet? 🔥

![Photo shared by Angwi Tacho on November 27, 2021 tagging @meshki. May be an image of 1 person, standing and text that says ‘I’.](https://bibliogram.hamster.dance/imageproxy?url=https%3A%2F%2Fscontent-dfw5-1.cdninstagram.com%2Fv%2Ft51.2885-15%2Fe35%2Fp1080x1080%2F261756112_1254680288346407_7824885066934531686_n.jpg%3F_nc_ht%3Dscontent-dfw5-1.cdninstagram.com%26_nc_cat%3D111%26_nc_ohc%3DVkw7i7-ZIFMAX_OKNTG%2 … ⌘ Read more

⤋ Read More

Save the Date: Next Community All Hands on December 9th
We’re one month away from our next Community All Hands event, on December 9th at 8am PST/5pm CET. This is a unique opportunity for Docker staff, Captains, and the broader Docker community to come together for live company updates, product updates, demos, community shout-outs and Q&A. The last all-hands gathered more than 2,000 attendees from […]

The post [Save the Date: Next Community All Hands on December 9th](https:/ … ⌘ Read more

⤋ Read More

@movq@www.uninformativ.de What do you think about this?

diff –git a/jenny b/jenny
index b47c78e..20cf659 100755
— a/jenny
+++ b/jenny
@@ -278,7 +278,8 @@ def prefill_for(email, reply_to_this, self_mentions):
def process_feed(config, nick, url, content, lasttwt):

 nick_address, nick_desc = decide_nick(content, nick)
 url_for_hash = decide_url_for_hash(content, url)
  • new_lasttwt = parse(‘1800-01-01T12:00:00+00:00’).timestamp()

  • # new_lasttwt = parse(‘1800-01-01T12:00:00+00:00’).timestamp()

  • new_lasttwt = None

    for line in twt_lines_from_content(content):

     res = twt_line_to_mail(
    

    @@ -296,7 +297,7 @@ def process_feed(config, nick, url, content, lasttwt):

     twt_stamp = twt_date.timestamp()
     if lasttwt is not None and lasttwt >= twt_stamp:
         continue
    
  • if twt_stamp > new_lasttwt:

  • if not new_lasttwt or twt_stamp > new_lasttwt:

         new_lasttwt = twt_stamp
    
    
     mailname_new = join(config['maildir_target'], 'new', twt_hash)
    

⤋ Read More

💾 Save the date for GitHub Game Off 2021
Game Off is an annual game jam (or “hackathon for building games”) that’s a little different from most—it lasts for the entire month of November—not just a weekend or a few days. It’s the perfect ⌘ Read more

⤋ Read More

@movq@www.uninformativ.de Perfect! Setting the display_filter did the trick. I have come across that SE yesterday while looking for answers, but I wanted to make sure there was nothing else I was missing to notice. Thanks! @quark@twtxt.netbros.com (#spngeda) Hmm, that’s mostly an issue of how mutt displays the Date header. The index should already display local time, only the pager shows the raw header: To be honest, I’d like to keep it that way (i.e., Date stores the original stamp as it occured in the twtxt feed). To convince mutt to show local time here, you’d probably have to use display_filter: https://unix.stackexchange.com/a/516101

⤋ Read More

**double date vibes 💅🏾 **
double date vibes 💅🏾
Dress & bag @ramaeinc .Use ANGWI10 for $ off

![Photo shared by Angwi Tacho on September 03, 2021 tagging @ramaeinc. May be an image of 1 person and standing.](https://bibliogram.hamster.dance/imageproxy?url=https%3A%2F%2Fscontent-den4-1.cdninstagram.com%2Fv%2Ft51.2885-15%2Fe35%2Fp1080x1080%2F241113222_846282112926603_6281018403130351277_n.jpg%3F_nc_ht%3Dscontent-den4-1.cdninstagram.com%26_nc_cat%3D103%26_nc_ohc%3Da8xQhEvW99AAX-8VEdf%26edm%3DAAuNW_gBAAAA%26cc … ⌘ Read more

⤋ Read More